Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# ResultCallback

com.google.android.gms.common.api.ResultCallback<R extends com.google.android.gms.common.api.Result>

## Class Overview

An interface for receiving a `Result` from a `PendingResult` as an asynchronous callback.

## Summary

Public Methods
abstract void | onResult(R result) Called when the `Result` is ready.

## Public Methods

#### public abstract void onResult (R result)

Called when the `Result` is ready. It is the responsibility of each callback to release any resources associated with the result. Some result types may implement `Releasable`, in which case `release()` should be used to free the associated resources.

##### Parameters

result | The result from the API call. May not be null.